# tfp-tutorial
My own implementations of some examples using TensorFlow Probability for tutorial purposes

## Tutorials

* [Bayesian Neural Networks](tfp_bnn.ipynb)
* [Bayesian Gaussian Mixture Model (MultivariateNormalDiag components) (Stochastic Variational Inference)](tfp_bgmm_MultivariateNormalDiag_SVI.ipynb)
* [Bayesian Gaussian Mixture Model (MultivariateNormalTriL components) (Stochastic Variational Inference)](tfp_bgmm_MultivariateNormalTriL_SVI.ipynb)
* [Bayesian Gaussian Mixture Model (MultivariateNormalTriL components) (Markov chain Monte Carlo)](tfp_bgmm_MultivariateNormalTriL_MCMC.ipynb)
* [ResNet](tfp_resnet.py)

## References

### TensorFlow Probability
* [Project](https://www.tensorflow.org/probability)
* [GitHub](https://github.com/tensorflow/probability)

### ResNet
* v1: [Deep Residual Learning for Image Recognition](https://arxiv.org/pdf/1512.03385.pdf)
* v2: [Identity Mappings in Deep Residual Networks](https://arxiv.org/pdf/1603.05027.pdf)